require_relative 'lib/eancom/version'

Gem::Specification.new do |spec|
  spec.name          = 'eancom'
  spec.version       = Eancom::VERSION
  spec.authors       = ["Fadendaten GmbH"]
  spec.email         = ["support@fadendaten.ch"]

  spec.summary       = %q{EDIFACT Generator for the EANCOM Subset}
  # spec.description   = %q{TODO: Write a longer description or delete this line.}
  spec.homepage      = "https://fadendaten.ch"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-remote"
  spec.add_development_dependency "pry-nav"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "timecop"
end
